package holeg.utility.math.vector;

import java.awt.*;

public class Geometry {
    public static Rectangle createRectangleFromCorners(Vec2i corner, Vec2i otherCorner){
        //Calculate left top corner, width, height
        Vec2i topLeft = new Vec2i(Math.min(corner.getX(), otherCorner.getX()), Math.min(corner.getY(), otherCorner.getY()));
        Vec2i bottomRight = new Vec2i(Math.max(corner.getX(), otherCorner.getX()), Math.max(corner.getY(), otherCorner.getY()));
        int width = bottomRight.getX() - topLeft.getX();
        int height = bottomRight.getY() - topLeft.getY();
        return new Rectangle(topLeft.getX(),topLeft.getY(), width, height);
    }
}
